intake
Pedidos

Criar pedido

POST
/orders
AuthorizationBearer <token>

Chave de Cash-In no formato Bearer Auth

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.intake.finance/v1/orders" \  -H "Content-Type: application/json" \  -d '{    "external_id": "order-12345",    "payment_method": "PIX",    "amount": 10000  }'
{
  "data": {
    "id": "order-123",
    "status": "pending",
    "payment_method": "pix",
    "pix": {
      "code": "00020126580014br.gov.bcb.pix...",
      "qrcode_base64": "iVBORw0KGgoAAAANSUhEUg..."
    },
    "total_amount": 10000,
    "net_amount": 9700,
    "created_at": "2024-01-15T10:30:00Z"
  }
}
{
  "error": {
    "message": "Invalid request body.",
    "detail": "string"
  }
}
{
  "error": {
    "message": "Invalid request body.",
    "detail": "string"
  }
}
{
  "error": {
    "message": "Invalid request body.",
    "detail": "string"
  }
}
{
  "error": {
    "message": "Invalid request body.",
    "detail": "string"
  }
}
{
  "error": {
    "message": "Invalid request body.",
    "detail": "string"
  }
}